Bug 914972 - Orca with Python 3 support
Orca with Python 3 support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: orca (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On: 867958 873186 873241
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-23 15:04 EST by Kalev Lember
Modified: 2013-04-04 19:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: orca-3.8.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 19:56:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-02-23 15:04:07 EST
Currently Orca in rawhide is broken and doesn't work at all. I'm looking into making the latest version work again and it would seem we need to get a bunch of deps ported to Python 3 first:

- liblouis-python
- python-brlapi
- pyatspi
- pyxdg
- speech-dispatcher
Comment 1 Kalev Lember 2013-02-23 15:19:00 EST
 - liblouis: The ticket tracking python3 support is https://bugzilla.redhat.com/show_bug.cgi?id=873186

 - python-brlapi: The ticket tracking python3 support is https://bugzilla.redhat.com/show_bug.cgi?id=873241

 + pyatspi: I went ahead and created a python3 subpackage, http://pkgs.fedoraproject.org/cgit/pyatspi.git/commit/?id=a7768ca9

 + pyxdg: Seems to have recently gotten python3 support, http://pkgs.fedoraproject.org/cgit/pyxdg.git/commit/?id=b1309d71

 - speech-dispatcher: The ticket tracking python3 support is https://bugzilla.redhat.com/show_bug.cgi?id=867958


We should aim to fix this by the time of the Fedora 19 Alpha release, to get Orca working on the live media.
Comment 2 Joanmarie Diggs 2013-02-23 15:41:41 EST
Kalev: Thanks for doing this!

For what it's worth, Fedora is my development environment (i.e. Orca master can be made to work in Rawhide).

Regarding pyxdg: Fedora already has a python3-pyxdg package. But you should not need it. Orca now gets this information from GLib.get_user_data_dir().

As long as we're chatting about Orca's build and runtime dependencies, Orca now depends on yelp-tools (but yum doesn't know that). That should be added. Orca also depends on python3-cairo. (The cairo dependency is not new, and in a GNOME environment, odds are that people already have it. But the newness of Python 3 might make it worth adding to Orca's list of dependencies.)
Comment 3 Bill Nottingham 2013-02-24 03:23:50 EST
Kalev ... this would imply Orace would be running with a non-'system' python (in that any image using it would be pulling both python2 and python3). That's not the most optimal.

Is Python3 *required* for the current Orca, or does it merely work with it? I know there's a lot of work in upstream GNOME for moving to python3, but we're likely going to have to lag behind for a release or two before we can make a more global switch in our platform.
Comment 4 Kalev Lember 2013-02-24 06:21:13 EST
Yes, orca 3.7/3.8 only supports python3.

I would say we have to ship two python runtimes. I really doubt we would be able to switch ALL of the python code we have on the live media to python3 any time soon.

I personally think we should just start incrementally switching apps over to python3 and not making a flag day out of it. The situation is similar to what we had in F18 where we shipped with two gstreamer implementations.

There's a GNOME goal for switching to Python 3, but it doesn't seem to get fully completed by the time of the 3.8 release. Of the core apps that we ship on the live media, we have gedit and orca switching to Python 3. Gedit uses python just for plugins, otherwise it's a C app. Orca however is a python app.

Gedit in rawhide is already updated to the python3 version. Same goes with orca, Richard Hughes has updated it to a 3.7 prerelease (which however doesn't work at all, currently, because some of the deps are missing python3 support).

In any case, I think it makes sense to continue with Orca's Python 3 support here. If we decide later to ship F19 with an older orca / gedit, this can easily be done in the F19 branch and keep the python3 work in the master branch.

Adding mclasen to CC for opinions. Should we back down to orca 3.6 / gedit 3.6 for F19, to avoid shipping python3 on the live media?
Comment 5 Fedora Admin XMLRPC Client 2013-02-24 06:57:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Ignacio Casal Quinteiro (nacho) 2013-02-24 13:26:44 EST
Please do not downgrade gedit, it had several bug fixes that need to be included in the next release. In case that you don't want python3 plugins just do not build them and make a specific package without them.
Comment 7 Kalev Lember 2013-03-20 17:15:41 EDT
I have built orca-3.7.92-1.fc19 with Python 3 support now that we have enough Python 3 deps in place.

It's a little bit crippled, built without brltty support, but still a nice improvement over the previous F19 Orca 3.7.x build which didn't work at all.

mclasen, notting: Please let me know if you want to epoch-bump-downgrade back to the Python 2 version of Orca (3.6.x) for F19. I can take care of that, although I'd much more prefer shipping the latest upstream code.
Comment 8 Joanmarie Diggs 2013-03-20 17:18:10 EDT
Kalev: Yay! :)

Mind if I ask why it was built without brltty support?
Comment 9 Kalev Lember 2013-03-20 17:22:42 EDT
Joanmarie: brltty is still missing Python 3 support, https://bugzilla.redhat.com/show_bug.cgi?id=873241
Comment 10 Joanmarie Diggs 2013-03-20 17:25:37 EDT
If you try building unstable just to see if we can get it working, I'll ping Dave.
Comment 11 Kalev Lember 2013-03-20 17:36:14 EDT
I don't want to touch brltty without getting explicit approval from the downstream package maintainer first; I've pinged him again in the ticket. I just had a clash today with the speech-dispatcher maintainer for backporting the Python 3 support to the F19 package, and don't want to repeat this.
Comment 12 Fedora End Of Life 2013-04-03 11:33:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 Kalev Lember 2013-04-04 19:56:02 EDT
And finally, we have all the deps in place and orca-3.8.0-2.fc19 back in full functionality.

Note You need to log in before you can comment on or make changes to this bug.